// HertzEdit.h : Header-Datei
//
//
// Autor: Olaf Groeger
// EMail: Olaf.Groeger@gmx.de
//
// Status: Macht damit, was ihr wollt
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_HERTZEDIT_H__A1767D22_BF62_11D2_B7A6_0000E8699912__INCLUDED_)
#define AFX_HERTZEDIT_H__A1767D22_BF62_11D2_B7A6_0000E8699912__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef _Hertz_Edit_H
#define _Hertz_Edit_H

#include <sstream>
#include <iomanip>
#include <math.h>


/////////////////////////////////////////////////////////////////////////////
// Fenster CHertzEdit 

class CHertzEdit : public CEdit
{
// Konstruktion
public:
	CHertzEdit();
	CHertzEdit(BOOL);
	CHertzEdit(const CHertzEdit&);

// Attribute
public:

// Operationen
public:
	CHertzEdit& operator =(double);
// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CHertzEdit)
	//}}AFX_VIRTUAL

// Implementierung
public:
	BOOL SetValue(HWND);
	BOOL GetValue(HWND);
	double GetValue();
	void SetValue(double);
	virtual ~CHertzEdit();

	// Generierte Nachrichtenzuordnungsfunktionen
protected:
	BOOL GetValueFromWindow(HWND);
	void SetValueToWindow(HWND);
	//{{AFX_MSG(CHertzEdit)
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
	BOOL GetValueFromWindow();
	void SetValueToWindow();
	CString m_strValue;
	double m_dValue;

	void StripEndingZero(std::ostringstream&);
	std::string DoubleToString(double);
	BOOL m_bNegativAllowed;
	double CStringToDouble(CString&);
};

void AFXAPI DDX_HertzEdit(CDataExchange*, int, CHertzEdit&);


#endif			// Hertz_Edit_H

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_HERTZEDIT_H__A1767D22_BF62_11D2_B7A6_0000E8699912__INCLUDED_
